Index: code/branches/merger/src/CMakeLists.txt
===================================================================
--- code/branches/merger/src/CMakeLists.txt	(revision 284)
+++ code/branches/merger/src/CMakeLists.txt	(revision 285)
@@ -12,2 +12,3 @@
 ADD_SUBDIRECTORY(orxonox)
 ADD_SUBDIRECTORY(loader)
+ADD_SUBDIRECTORY(network)
Index: code/branches/merger/src/network/CMakeLists.txt
===================================================================
--- code/branches/merger/src/network/CMakeLists.txt	(revision 285)
+++ code/branches/merger/src/network/CMakeLists.txt	(revision 285)
@@ -0,0 +1,6 @@
+PROJECT(Orxonox)
+
+SET(SRC_FILES Client.cc ConnectionManager.cc PacketBuffer.cc PacketGenerator.cc Synchronisable.cc dummyclient2.cc ClientConnection.cc GameStateManager.cc PacketDecoder.cc Server.cc dummyclient.cc dummyserver.cc)
+SET(INC_FILES Client.h ClientConnection.h ConnectionManager.h GameStateManager.h PacketBuffer.h PacketManager.h Server.h Synchronisable.h)
+
+ADD_LIBRARY(network ${SRC_FILES} ${INC_FILES})
Index: code/branches/merger/src/network/Client.cc
===================================================================
--- code/branches/merger/src/network/Client.cc	(revision 284)
+++ code/branches/merger/src/network/Client.cc	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Implementation: Client
 //
-// Description: 
+// Description:
 //
 //
@@ -11,8 +11,8 @@
 //
 
-#include "network/Client.h"
+#include "Client.h"
 
 namespace network{
-  
+
   /**
    * Constructor for the Client class
@@ -25,5 +25,5 @@
     isConnected=false;
   }
-  
+
   /**
    * Constructor for the Client class
@@ -36,5 +36,5 @@
     isConnected=false;
   }
-  
+
   /**
    * Constructor for the Client class
@@ -47,5 +47,5 @@
     isConnected=false;
   }
-  
+
   /**
    * Establish the Connection to the Server
@@ -56,5 +56,5 @@
     return isConnected;
   }
-  
+
   /**
    * closes the Connection to the Server
@@ -65,5 +65,5 @@
     return client_connection.closeConnection();
   }
-  
+
   /**
    * submits a MouseAction to the server
@@ -84,5 +84,5 @@
       return false;
   }
-  
+
   /**
    * submits a Keystrike to the server
@@ -102,5 +102,5 @@
       return false;
   }
-  
+
   /**
    * Adds a MouseAction to the PacketQueue
@@ -116,5 +116,5 @@
       return false;
   }
-  
+
   /**
    * Adds a Keystrike to the PacketQueue
@@ -130,5 +130,5 @@
       return false;
   }
-  
+
   /**
    * Performs a GameState update
@@ -136,7 +136,7 @@
   void Client::update(){
     // to be implemented ==================
-    
-    
+
+
   }
-  
+
 }
Index: code/branches/merger/src/network/Client.h
===================================================================
--- code/branches/merger/src/network/Client.h	(revision 284)
+++ code/branches/merger/src/network/Client.h	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Interface: Client
 //
-// Description: 
+// Description:
 //
 //
@@ -16,6 +16,6 @@
 #include <string>
 
-#include "network/ClientConnection.h"
-#include "network/PacketManager.h"
+#include "ClientConnection.h"
+#include "PacketManager.h"
 
 
@@ -26,5 +26,5 @@
  * This class implements all necessary function for the network communication
  * It is the root class of the network module
- * 
+ *
  */
 class Client : PacketDecoder{
@@ -33,20 +33,20 @@
   Client(std::string address, int port);
   Client(const char *address, int port);
-  
+
   bool establishConnection();
   bool closeConnection();
-  
+
   bool sendMouse(double x, double y);
   bool sendKeyboard(char key_code);
-  
+
   bool addMouse(double x, double y);
   bool addKeyboard(char key_code);
-  
+
   void update();
-  
+
   private:
   ClientConnection client_connection;
   PacketGenerator pck_gen;
-  
+
   //const char *server_address;
   //int port;
Index: code/branches/merger/src/network/ClientConnection.cc
===================================================================
--- code/branches/merger/src/network/ClientConnection.cc	(revision 284)
+++ code/branches/merger/src/network/ClientConnection.cc	(revision 285)
@@ -2,6 +2,6 @@
 // C++ Interface: ClientConnection
 //
-// Description: The Class ClientConnection manages the servers conenctions to the clients. 
-// each connection is provided by a new process. communication between master process and 
+// Description: The Class ClientConnection manages the servers conenctions to the clients.
+// each connection is provided by a new process. communication between master process and
 // connection processes is provided by ...
 //
@@ -10,10 +10,10 @@
 //
 
-#include "network/ClientConnection.h"
+#include "ClientConnection.h"
 
 namespace network{
-  
+
   boost::thread_group network_threads;
-  
+
   ClientConnection::ClientConnection(int port, std::string address){
     quit=false;
@@ -23,5 +23,5 @@
     established=false;
   }
-  
+
   ClientConnection::ClientConnection(int port, const char *address){
     quit=false;
@@ -31,5 +31,5 @@
     established=false;
   }
-  
+
   bool ClientConnection::waitEstablished(int milisec){
     for(int i=0; i<=milisec && !established; i++)
@@ -37,6 +37,6 @@
     return established;
   }
-  
-  
+
+
   ENetPacket *ClientConnection::getPacket(ENetAddress &address){
     if(!buffer.isEmpty())
@@ -45,9 +45,9 @@
         return NULL;
   }
-  
+
   bool ClientConnection::queueEmpty(){
     return buffer.isEmpty();
   }
-  
+
   bool ClientConnection::createConnection(){
     network_threads.create_thread(boost::bind(boost::mem_fn(&ClientConnection::receiverThread), this));
@@ -55,5 +55,5 @@
     return waitEstablished(10000);
   }
-  
+
   bool ClientConnection::closeConnection(){
     quit=true;
@@ -62,6 +62,6 @@
     return true;
   }
-  
-  
+
+
   bool ClientConnection::addPacket(ENetPacket *packet){
     if(server==NULL)
@@ -72,5 +72,5 @@
       return true;
   }
-  
+
   bool ClientConnection::sendPackets(ENetEvent *event){
     if(server==NULL)
@@ -78,8 +78,8 @@
     if(enet_host_service(client, event, NETWORK_SEND_WAIT)>=0)
       return true;
-    else 
+    else
       return false;
   }
-  
+
   bool ClientConnection::sendPackets(){
     ENetEvent event;
@@ -88,8 +88,8 @@
     if(enet_host_service(client, &event, NETWORK_SEND_WAIT)>=0)
       return true;
-    else 
+    else
       return false;
   }
-  
+
   void ClientConnection::receiverThread(){
     // what about some error-handling here ?
@@ -123,11 +123,11 @@
     }
     // now disconnect
-    
-    if(!disconnectConnection()) 
+
+    if(!disconnectConnection())
     // if disconnecting failed destroy conn.
       enet_peer_reset(server);
     return;
   }
-  
+
   bool ClientConnection::disconnectConnection(){
     ENetEvent event;
@@ -145,5 +145,5 @@
     enet_peer_reset(server);
   }
-  
+
   bool ClientConnection::establishConnection(){
     ENetEvent event;
@@ -161,5 +161,5 @@
       return false;
   }
-  
+
   bool ClientConnection::processData(ENetEvent *event){
     // just add packet to the buffer
@@ -167,5 +167,5 @@
     return buffer.push(event);
   }
-  
-  
+
+
 }
Index: code/branches/merger/src/network/ClientConnection.h
===================================================================
--- code/branches/merger/src/network/ClientConnection.h	(revision 284)
+++ code/branches/merger/src/network/ClientConnection.h	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Interface: ClientConnection
 //
-// Description: 
+// Description:
 //
 //
@@ -21,6 +21,6 @@
 #include <boost/bind.hpp>
 // headerfile
-#include "network/ClientConnection.h"
-#include "network/PacketBuffer.h"
+#include "ClientConnection.h"
+#include "PacketBuffer.h"
 
 namespace network{
@@ -31,6 +31,6 @@
 #define NETWORK_SEND_WAIT 5
 #define NETWORK_CLIENT_CHANNELS 2
-  
-  
+
+
   class ClientConnection{
     public:
@@ -67,12 +67,12 @@
     ENetPeer *server;
   };
-  
-  
-  
-  
-  
-  
-  
-  
+
+
+
+
+
+
+
+
 }
 
Index: code/branches/merger/src/network/ConnectionManager.cc
===================================================================
--- code/branches/merger/src/network/ConnectionManager.cc	(revision 284)
+++ code/branches/merger/src/network/ConnectionManager.cc	(revision 285)
@@ -2,6 +2,6 @@
 // C++ Interface: ConnectionManager
 //
-// Description: The Class ConnectionManager manages the servers conenctions to the clients. 
-// each connection is provided by a new process. communication between master process and 
+// Description: The Class ConnectionManager manages the servers conenctions to the clients.
+// each connection is provided by a new process. communication between master process and
 // connection processes is provided by ...
 //
@@ -10,14 +10,14 @@
 //
 
-#include "network/ConnectionManager.h"
+#include "ConnectionManager.h"
 
 namespace network{
-  
+
   boost::thread_group network_threads;
-  
+
   void test(){
     return;
   }
-  
+
   ConnectionManager::ConnectionManager(){
     quit=false;
@@ -26,5 +26,5 @@
     bindAddress.port = NETWORK_PORT;
   }
-  
+
   ConnectionManager::ConnectionManager(int port, std::string address){
     quit=false;
@@ -33,5 +33,5 @@
     bindAddress.port = NETWORK_PORT;
   }
-  
+
   ConnectionManager::ConnectionManager(int port, const char *address){
     quit=false;
@@ -40,5 +40,5 @@
     bindAddress.port = NETWORK_PORT;
   }
-  
+
   ENetPacket *ConnectionManager::getPacket(ENetAddress &address){
     if(!buffer.isEmpty())
@@ -47,9 +47,9 @@
         return NULL;
   }
-  
+
   bool ConnectionManager::queueEmpty(){
     return buffer.isEmpty();
   }
-  
+
   void ConnectionManager::createListener(){
     network_threads.create_thread(boost::bind(boost::mem_fn(&ConnectionManager::receiverThread), this));
@@ -57,5 +57,5 @@
     return;
   }
-  
+
   bool ConnectionManager::quitListener(){
     quit=true;
@@ -63,5 +63,5 @@
     return true;
   }
-  
+
   bool ConnectionManager::addPacket(ENetPacket *packet, ENetPeer *peer){
     if(client=NULL)
@@ -77,5 +77,5 @@
     return true;
   }
-  
+
   bool ConnectionManager::addPacket(ENetPacket *packet, int ID){
     if(client==NULL)
@@ -92,5 +92,5 @@
       return true;
   }
-  
+
   bool ConnectionManager::addPacketAll(ENetPacket *packet){
     ClientList *temp=client;
@@ -101,5 +101,5 @@
     return true;
   }
-  
+
   bool ConnectionManager::sendPackets(ENetEvent *event){
     if(server==NULL)
@@ -107,8 +107,8 @@
     if(enet_host_service(server, event, NETWORK_SEND_WAIT)>=0)
       return true;
-    else 
-      return false;
-  }
-  
+    else
+      return false;
+  }
+
   void ConnectionManager::receiverThread(){
     // what about some error-handling here ?
@@ -120,5 +120,5 @@
       // add some error handling here ==========================
       quit=true;
-    
+
     while(!quit){
       if(enet_host_service(server, &event, NETWORK_WAIT_TIMEOUT)<0){
@@ -144,5 +144,5 @@
     enet_host_destroy(server);
   }
-  
+
   bool ConnectionManager::processData(ENetEvent *event){
     // just add packet to the buffer
@@ -150,5 +150,5 @@
     return buffer.push(event);
   }
-  
+
   bool ConnectionManager::clientDisconnect(ENetPeer *peer){
     ClientList *temp=client;
@@ -177,7 +177,7 @@
     return false;
   }
-  
+
   bool ConnectionManager::addClient(ENetEvent *event){
-    
+
     // first client?
     if(client==NULL){
@@ -202,5 +202,5 @@
     return true;
   }
-  
-  
+
+
 }
Index: code/branches/merger/src/network/ConnectionManager.h
===================================================================
--- code/branches/merger/src/network/ConnectionManager.h	(revision 284)
+++ code/branches/merger/src/network/ConnectionManager.h	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Interface: ConnectionManager
 //
-// Description: 
+// Description:
 //
 //
@@ -21,6 +21,6 @@
 #include <boost/bind.hpp>
 // headerfile
-#include "network/ConnectionManager.h"
-#include "network/PacketBuffer.h"
+#include "ConnectionManager.h"
+#include "PacketBuffer.h"
 
 namespace network{
@@ -35,5 +35,5 @@
 // #define ENetAddress std::ENetAddress
 // #define ENetPeer std::ENetPeer
-  
+
   struct ClientList{
     ENetEvent *event;
@@ -41,5 +41,5 @@
     ClientList *next;
   };
-  
+
   class ConnectionManager{
     public:
@@ -79,12 +79,12 @@
 //     boost::thread_group threads;
   };
-  
-  
-  
-  
-  
-  
-  
-  
+
+
+
+
+
+
+
+
 }
 
Index: code/branches/merger/src/network/Makefile
===================================================================
--- code/branches/merger/src/network/Makefile	(revision 284)
+++ code/branches/merger/src/network/Makefile	(revision 285)
@@ -1,40 +1,303 @@
-CC=g++
-MAIN_INC=..
-INC=-I ${MAIN_INC}
-
-all: server client
-
-# Link command:
-server: PacketBuffer.o ConnectionManager.o dummyserver.o PacketDecoder.o PacketGenerator.o
-	${CC} PacketDecoder.o PacketGenerator.o ConnectionManager.o dummyserver.o PacketBuffer.o -o server -lenet -lboost_thread -g
-
-dummyserver.o: dummyserver.cc
-	${CC} -c dummyserver.cc -o dummyserver.o -g ${INC}
-# Compilation commands:
-ConnectionManager.o: ConnectionManager.cc ConnectionManager.h
-	${CC} -c ConnectionManager.cc -o ConnectionManager.o -g ${INC}
-ClientConnection.o: ClientConnection.cc ClientConnection.h
-	${CC} -c ClientConnection.cc -o ClientConnection.o -g ${INC}
-
-PacketBuffer.o: PacketBuffer.cc
-	${CC} -c PacketBuffer.cc -o PacketBuffer.o -g ${INC}
-PacketGenerator.o: PacketGenerator.cc
-	${CC} -c PacketGenerator.cc -o PacketGenerator.o -g ${INC}
-PacketDecoder.o: PacketDecoder.cc
-	${CC} -c PacketDecoder.cc -o PacketDecoder.o -g ${INC}
-Client.o: Client.cc
-	${CC} -c Client.cc -g ${INC}
-Server.o: Server.cc
-	${CC} -c Server.cc -g ${INC}
-Synchronisable.o: Synchronisable.cc
-	${CC} -c Synchronisable.cc -g ${INC}
-GameStateManager.o: GameStateManager.cc
-	${CC} -c GameStateManager.cc -g ${INC}
-
+# CMAKE generated file: DO NOT EDIT!
+# Generated by "Unix Makefiles" Generator, CMake Version 2.4
+
+# Default target executed when no arguments are given to make.
+default_target: all
+
+#=============================================================================
+# Special targets provided by cmake.
+
+# Disable implicit rules so canoncical targets will work.
+.SUFFIXES:
+
+.SUFFIXES: .hpux_make_needs_suffix_list
+
+# Produce verbose output by default.
+VERBOSE = 1
+
+# Suppress display of executed commands.
+$(VERBOSE).SILENT:
+
+# A target that is always out of date.
+cmake_force:
+
+#=============================================================================
+# Set environment variables for the build.
+
+# The shell in which to execute make rules.
+SHELL = /bin/sh
+
+# The CMake executable.
+CMAKE_COMMAND = /usr/bin/cmake
+
+# The command to remove a file.
+RM = /usr/bin/cmake -E remove -f
+
+# The program to use to edit the cache.
+CMAKE_EDIT_COMMAND = /usr/bin/ccmake
+
+# The top-level source directory on which CMake was run.
+CMAKE_SOURCE_DIR = /home/nicolasc/development/orxonoxV2/branches/merger
+
+# The top-level build directory on which CMake was run.
+CMAKE_BINARY_DIR = /home/nicolasc/development/orxonoxV2/branches/merger
+
+# Include the progress variables for this target.
+include CMakeFiles/progress.make
+
+#=============================================================================
+# Targets provided globally by CMake.
+
+# Special rule for the target edit_cache
+edit_cache:
+	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
+	cd /home/nicolasc/development/orxonoxV2/branches/merger/src/network && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
+
+# Special rule for the target edit_cache
+edit_cache/fast: edit_cache
+
+# Special rule for the target rebuild_cache
+rebuild_cache:
+	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
+	cd /home/nicolasc/development/orxonoxV2/branches/merger/src/network && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
+
+# Special rule for the target rebuild_cache
+rebuild_cache/fast: rebuild_cache
+
+# The main all target
+all: cmake_check_build_system
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(CMAKE_COMMAND) -E cmake_progress_start /home/nicolasc/development/orxonoxV2/branches/merger/CMakeFiles $(CMAKE_ALL_PROGRESS)
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f CMakeFiles/Makefile2 src/network/all
+	$(CMAKE_COMMAND) -E cmake_progress_start /home/nicolasc/development/orxonoxV2/branches/merger/CMakeFiles 0
+
+# The main clean target
 clean:
-	rm -rf *.o
-
-client_old: PacketGenerator.o dummyclient.cc
-	${CC} dummyclient.cc PacketGenerator.o -o client -lenet -g ${INC}
-client: PacketGenerator.o ClientConnection.o PacketBuffer.o dummyclient2.cc 
-	${CC} dummyclient2.cc PacketGenerator.o PacketBuffer.o ClientConnection.o -o client -lenet -lboost_thread -g ${INC}
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f CMakeFiles/Makefile2 src/network/clean
+
+# The main clean target
+clean/fast: clean
+
+# Prepare targets for installation.
+preinstall: all
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f CMakeFiles/Makefile2 src/network/preinstall
+
+# Prepare targets for installation.
+preinstall/fast:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f CMakeFiles/Makefile2 src/network/preinstall
+
+# clear depends
+depend:
+	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
+
+# Convenience name for target.
+src/network/CMakeFiles/network.dir/rule:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f CMakeFiles/Makefile2 src/network/CMakeFiles/network.dir/rule
+
+# Convenience name for target.
+network: src/network/CMakeFiles/network.dir/rule
+
+# fast build rule for target.
+network/fast:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/build
+
+# target to build an object file
+Client.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Client.o
+
+# target to preprocess a source file
+Client.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Client.i
+
+# target to generate assembly for a file
+Client.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Client.s
+
+# target to build an object file
+ClientConnection.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ClientConnection.o
+
+# target to preprocess a source file
+ClientConnection.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ClientConnection.i
+
+# target to generate assembly for a file
+ClientConnection.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ClientConnection.s
+
+# target to build an object file
+ConnectionManager.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ConnectionManager.o
+
+# target to preprocess a source file
+ConnectionManager.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ConnectionManager.i
+
+# target to generate assembly for a file
+ConnectionManager.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/ConnectionManager.s
+
+# target to build an object file
+GameStateManager.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/GameStateManager.o
+
+# target to preprocess a source file
+GameStateManager.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/GameStateManager.i
+
+# target to generate assembly for a file
+GameStateManager.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/GameStateManager.s
+
+# target to build an object file
+PacketBuffer.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketBuffer.o
+
+# target to preprocess a source file
+PacketBuffer.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketBuffer.i
+
+# target to generate assembly for a file
+PacketBuffer.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketBuffer.s
+
+# target to build an object file
+PacketDecoder.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketDecoder.o
+
+# target to preprocess a source file
+PacketDecoder.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketDecoder.i
+
+# target to generate assembly for a file
+PacketDecoder.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketDecoder.s
+
+# target to build an object file
+PacketGenerator.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketGenerator.o
+
+# target to preprocess a source file
+PacketGenerator.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketGenerator.i
+
+# target to generate assembly for a file
+PacketGenerator.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/PacketGenerator.s
+
+# target to build an object file
+Server.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Server.o
+
+# target to preprocess a source file
+Server.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Server.i
+
+# target to generate assembly for a file
+Server.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Server.s
+
+# target to build an object file
+Synchronisable.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Synchronisable.o
+
+# target to preprocess a source file
+Synchronisable.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Synchronisable.i
+
+# target to generate assembly for a file
+Synchronisable.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/Synchronisable.s
+
+# target to build an object file
+dummyclient.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient.o
+
+# target to preprocess a source file
+dummyclient.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient.i
+
+# target to generate assembly for a file
+dummyclient.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient.s
+
+# target to build an object file
+dummyclient2.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient2.o
+
+# target to preprocess a source file
+dummyclient2.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient2.i
+
+# target to generate assembly for a file
+dummyclient2.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyclient2.s
+
+# target to build an object file
+dummyserver.o:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyserver.o
+
+# target to preprocess a source file
+dummyserver.i:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyserver.i
+
+# target to generate assembly for a file
+dummyserver.s:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(MAKE) -f src/network/CMakeFiles/network.dir/build.make src/network/CMakeFiles/network.dir/dummyserver.s
+
+# Help Target
+help::
+	@echo "The following are some of the valid targets for this Makefile:"
+	@echo "... all (the default if no target is provided)"
+	@echo "... clean"
+	@echo "... depend"
+	@echo "... edit_cache"
+	@echo "... network"
+	@echo "... rebuild_cache"
+	@echo "... Client.o"
+	@echo "... Client.i"
+	@echo "... Client.s"
+	@echo "... ClientConnection.o"
+	@echo "... ClientConnection.i"
+	@echo "... ClientConnection.s"
+	@echo "... ConnectionManager.o"
+	@echo "... ConnectionManager.i"
+	@echo "... ConnectionManager.s"
+	@echo "... GameStateManager.o"
+	@echo "... GameStateManager.i"
+	@echo "... GameStateManager.s"
+	@echo "... PacketBuffer.o"
+	@echo "... PacketBuffer.i"
+	@echo "... PacketBuffer.s"
+	@echo "... PacketDecoder.o"
+	@echo "... PacketDecoder.i"
+	@echo "... PacketDecoder.s"
+	@echo "... PacketGenerator.o"
+	@echo "... PacketGenerator.i"
+	@echo "... PacketGenerator.s"
+	@echo "... Server.o"
+	@echo "... Server.i"
+	@echo "... Server.s"
+	@echo "... Synchronisable.o"
+	@echo "... Synchronisable.i"
+	@echo "... Synchronisable.s"
+	@echo "... dummyclient.o"
+	@echo "... dummyclient.i"
+	@echo "... dummyclient.s"
+	@echo "... dummyclient2.o"
+	@echo "... dummyclient2.i"
+	@echo "... dummyclient2.s"
+	@echo "... dummyserver.o"
+	@echo "... dummyserver.i"
+	@echo "... dummyserver.s"
+
+
+
+#=============================================================================
+# Special targets to cleanup operation of make.
+
+# Special rule to run CMake to check the build system integrity.
+# No rule that depends on this can have commands that come from listfiles
+# because they might be regenerated.
+cmake_check_build_system:
+	cd /home/nicolasc/development/orxonoxV2/branches/merger && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
+
Index: code/branches/merger/src/network/PacketBuffer.cc
===================================================================
--- code/branches/merger/src/network/PacketBuffer.cc	(revision 284)
+++ code/branches/merger/src/network/PacketBuffer.cc	(revision 285)
@@ -7,10 +7,10 @@
 
 #include <iostream>
-#include "network/PacketBuffer.h"
+#include "PacketBuffer.h"
 
 namespace network{
-  
+
    boost::mutex networkPacketBufferMutex;
-  
+
 PacketBuffer::PacketBuffer(){
   closed=false;
@@ -19,5 +19,5 @@
 }
     //this is needed in order to make the packetbuffer threadsafe
-  
+
 
 bool PacketBuffer::push(ENetEvent *ev){
@@ -87,5 +87,5 @@
     temp=temp->next;
   }
-  
+
 }
 
Index: code/branches/merger/src/network/PacketBufferTest.cc
===================================================================
--- code/branches/merger/src/network/PacketBufferTest.cc	(revision 284)
+++ code/branches/merger/src/network/PacketBufferTest.cc	(revision 285)
@@ -1,4 +1,4 @@
-#include "network/PacketBuffer.h"
-#include "network/PacketBuffer.cc"
+#include "PacketBuffer.h"
+#include "PacketBuffer.cc"
 #include <iostream>
 #include <string>
Index: code/branches/merger/src/network/PacketBufferTestExt.cc
===================================================================
--- code/branches/merger/src/network/PacketBufferTestExt.cc	(revision 284)
+++ code/branches/merger/src/network/PacketBufferTestExt.cc	(revision 285)
@@ -3,6 +3,6 @@
 #include <enet/enet.h>
 #include <boost/thread/thread.hpp>
-#include "network/PacketBuffer.h"
-#include "network/PacketBuffer.cc"
+#include "PacketBuffer.h"
+#include "PacketBuffer.cc"
 
 using namespace network;
@@ -15,5 +15,5 @@
   for(int i=0; i<10; i++){
     std::string temp = "packet ";
-    packet = enet_packet_create("packet", strlen("packet ")+1, 
+    packet = enet_packet_create("packet", strlen("packet ")+1,
 ENET_PACKET_FLAG_RELIABLE);
     std::cout << i << ": pushing " << packet->data << std::endl;
@@ -43,8 +43,8 @@
   boost::thread thrd1(boost::bind(&write, &test));
   boost::thread thrd2(boost::bind(&read, &test));
-    
+
   thrd1.join();
   thrd2.join();
-  
+
   return 0;
 }
Index: code/branches/merger/src/network/Server.cc
===================================================================
--- code/branches/merger/src/network/Server.cc	(revision 284)
+++ code/branches/merger/src/network/Server.cc	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Implementation: Server
 //
-// Description: 
+// Description:
 //
 //
@@ -12,17 +12,17 @@
 
 
-#include "network/Server.h"
+#include "Server.h"
 
 namespace network{
-  
+
   /**
    * Constructor for default values (bindaddress is set to ENET_HOST_ANY
-   * 
+   *
    */
   Server::Server(){
-    
-    
+
+
   }
-  
+
   /**
    * Constructor
@@ -31,8 +31,8 @@
    */
   Server::Server(int port, std::string bindAddress) : connection(port, bindAddress){
-    
-    
+
+
   }
-  
+
   /**
    * Constructor
@@ -41,13 +41,13 @@
    */
   Server::Server(int port, const char *bindAddress) : connection(port, bindAddress){
-    
-    
-    
-    
+
+
+
+
   }
-  
-  
-  
-  
-  
+
+
+
+
+
 }
Index: code/branches/merger/src/network/Server.h
===================================================================
--- code/branches/merger/src/network/Server.h	(revision 284)
+++ code/branches/merger/src/network/Server.h	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Interface: Server
 //
-// Description: 
+// Description:
 //
 //
@@ -16,10 +16,10 @@
 #include <string>
 
-#include "network/ConnectionManager.h"
-#include "network/PacketManager.h"
+#include "ConnectionManager.h"
+#include "PacketManager.h"
 
 
 namespace network{
-  
+
   /**
    * This class is the root class of the network module for a server.
@@ -31,20 +31,20 @@
     Server(int port, std::string bindAddress);
     Server(int port, const char *bindAddress);
-    
+
     private:
     ConnectionManager connection;
-    
-    
-    
-    
-    
-    
-    
+
+
+
+
+
+
+
   };
-  
-  
-  
-  
-  
+
+
+
+
+
 }
 
Index: code/branches/merger/src/network/Synchronisable.cc
===================================================================
--- code/branches/merger/src/network/Synchronisable.cc	(revision 284)
+++ code/branches/merger/src/network/Synchronisable.cc	(revision 285)
@@ -2,5 +2,5 @@
 // C++ Implementation: synchronisable
 //
-// Description: 
+// Description:
 //
 //
@@ -10,5 +10,5 @@
 //
 
-#include "network/Synchronisable.h"
+#include "Synchronisable.h"
 
 namespace network {
@@ -27,5 +27,5 @@
 Synchronisable::~Synchronisable()
 {
-  
+
 }
 
@@ -72,5 +72,5 @@
   int n=0;
   for(i=syncList.begin(); n<totalsize && i!=syncList.end(); i++){
-	//CHANGED: i->size TO (const void*)(&(i->size)) memcpy WANTS A CONST VOID* SO CONVERT INT TO CONST VOID*  
+	//CHANGED: i->size TO (const void*)(&(i->size)) memcpy WANTS A CONST VOID* SO CONVERT INT TO CONST VOID*
     std::memcpy(retVal.data+n, (const void*)(i->size), sizeof(int));
     n+=sizeof(int);
@@ -102,5 +102,5 @@
   int n=0;
   for(i=syncList.begin(); n<datasize && i!=syncList.end(); i++){
-        //CHANGED: i->size TO (const void*)(&(i->size)) memcpy WANTS A CONST VOID* SO CONVERT INT TO CONST VOID*  
+        //CHANGED: i->size TO (const void*)(&(i->size)) memcpy WANTS A CONST VOID* SO CONVERT INT TO CONST VOID*
     std::memcpy(retVal.data+n, (const void*)(i->size), sizeof(int));
     n+=sizeof(int);
Index: code/branches/merger/src/network/dummyclient.cc
===================================================================
--- code/branches/merger/src/network/dummyclient.cc	(revision 284)
+++ code/branches/merger/src/network/dummyclient.cc	(revision 285)
@@ -7,5 +7,5 @@
 #include <string>
 #include <enet/enet.h>
-#include "network/PacketManager.h"
+#include "PacketManager.h"
 
 using namespace std;
@@ -20,5 +20,5 @@
   enet_initialize();
   atexit(enet_deinitialize);
-  
+
   cout << "Enter address of the server xxx.xxx.xxx.xxx (enter for localhost)" << endl;
   string str;
@@ -27,5 +27,5 @@
   if(str.compare("")==0)
     str="127.0.0.1";
-  
+
   enet_address_set_host(&address, str.c_str());
   address.port = 55556;
@@ -87,6 +87,6 @@
   enet_peer_reset(peer);
 
-  
-  
+
+
   return 0;
 }
Index: code/branches/merger/src/network/dummyclient2.cc
===================================================================
--- code/branches/merger/src/network/dummyclient2.cc	(revision 284)
+++ code/branches/merger/src/network/dummyclient2.cc	(revision 285)
@@ -7,6 +7,6 @@
 #include <string>
 #include <enet/enet.h>
-#include "network/PacketManager.h"
-#include "network/ClientConnection.h"
+#include "PacketManager.h"
+#include "ClientConnection.h"
 
 using namespace network;
@@ -25,15 +25,15 @@
 
   client.createConnection();
-  
+
   if(client.waitEstablished(10000))
     std::cout << "Connection established" << std::endl;
   else
     std::cout << "Connection failed" << std::endl;
-  
+
   ENetPacket *packet;
   ENetEvent event;
-  
-  
-  
+
+
+
   for(int i=0; i<10; i++){
         // weihnachtsmann bringt packete
Index: code/branches/merger/src/network/dummyserver.cc
===================================================================
--- code/branches/merger/src/network/dummyserver.cc	(revision 284)
+++ code/branches/merger/src/network/dummyserver.cc	(revision 285)
@@ -7,6 +7,6 @@
 #include <iostream>
 #include "enet/enet.h"
-#include "network/ConnectionManager.h"
-#include "network/PacketManager.h"
+#include "ConnectionManager.h"
+#include "PacketManager.h"
 
 using namespace network;
@@ -18,7 +18,7 @@
   ENetEvent event;
   server.createListener();
-  
+
   PacketDecoder dec;
-  
+
   while(!quit){
     if(server.queueEmpty())
Index: code/branches/merger/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/merger/src/orxonox/CMakeLists.txt	(revision 284)
+++ code/branches/merger/src/orxonox/CMakeLists.txt	(revision 285)
@@ -7,5 +7,5 @@
 ADD_EXECUTABLE(../../bin/main ${SRC_FILES} ${INC_FILES})
 
-TARGET_LINK_LIBRARIES(../../bin/main ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${CEGUI_LIBRARIES} ${CEGUI_OGRE_LIBRARIES} core objects loader)
+TARGET_LINK_LIBRARIES(../../bin/main ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${CEGUI_LIBRARIES} ${CEGUI_OGRE_LIBRARIES} core objects loader network)
 
 
